SRC/dla_gerpvgrw.f(3)

NAME
SRC/dla_gerpvgrw.f

SYNOPSIS

  Functions/Subroutines
double precision function dla_gerpvgrw (n, ncols, a, lda, af, ldaf)
DLA_GERPVGRW

Function/Subroutine Documentation

  double precision function dla_gerpvgrw (integer n, integer ncols, double precision, dimension( lda, * ) a, integer lda, double precision, dimension( ldaf, * ) af, integer ldaf)

DLA_GERPVGRW

Purpose:

     DLA_GERPVGRW computes the reciprocal pivot growth factor
     norm(A)/norm(U). The 'max absolute element' norm is used. If this is
     much less than 1, the stability of the LU factorization of the
     (equilibrated) matrix A could be poor. This also means that the
     solution X, estimated condition numbers, and error bounds could be
     unreliable.

Parameters
    N

              N is INTEGER
         The number of linear equations, i.e., the order of the
         matrix A.  N >= 0.

    NCOLS

              NCOLS is INTEGER
         The number of columns of the matrix A. NCOLS >= 0.

    A

              A is DOUBLE PRECISION array, dimension (LDA,N)
         On entry, the N-by-N matrix A.

    LDA

              LDA is INTEGER
         The leading dimension of the array A.  LDA >= max(1,N).

    AF

              AF is DOUBLE PRECISION array, dimension (LDAF,N)
         The factors L and U from the factorization
         A = P*L*U as computed by DGETRF.

    LDAF

              LDAF is INTEGER
         The leading dimension of the array AF.  LDAF >= max(1,N).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 98 of file dla_gerpvgrw.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.